(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else {
		var a = factory();
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(window, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/index.js");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/index.js":
/*!**********************!*\
  !*** ./src/index.js ***!
  \**********************/
/*! exports provided: spellNumberInAz */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "spellNumberInAz", function() { return spellNumberInAz; });
/* harmony import */ var _spelling_integer__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./spelling/integer */ "./src/spelling/integer.js");
/* harmony import */ var _spelling_float__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./spelling/float */ "./src/spelling/float.js");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./utils/helpers */ "./src/utils/helpers.js");
/**
 * MIT License

Copyright (c) 2018 Orkhan Huseynli

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
 */



/**
 * Generalized spell number function
 * @param {input} number - any integer or floating point number
 * @return {string} spelling in Azerbaijani
 */
// eslint-disable-next-line import/prefer-default-export

var spellNumberInAz = function spellNumberInAz(input) {
  if (typeof input !== 'number') {
    throw Error('Üzr istəyirik! The value you passed is neither an integer nor a floating point number.');
  } // it is Number.MAX_SAFE_INTEGER's value :) actually


  if (input > _utils_helpers__WEBPACK_IMPORTED_MODULE_2__["MAX_SAFE_VALUE"]) {
    throw Error("\xDCzr ist\u0259yirik! We do not spell numbers above ".concat(_utils_helpers__WEBPACK_IMPORTED_MODULE_2__["MAX_SAFE_VALUE"], "."));
  }

  if (Object(_utils_helpers__WEBPACK_IMPORTED_MODULE_2__["isInteger"])(input)) {
    return Object(_spelling_integer__WEBPACK_IMPORTED_MODULE_0__["default"])(input);
  }

  return Object(_spelling_float__WEBPACK_IMPORTED_MODULE_1__["default"])(input);
};

/***/ }),

/***/ "./src/spelling/float.js":
/*!*******************************!*\
  !*** ./src/spelling/float.js ***!
  \*******************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _integer__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./integer */ "./src/spelling/integer.js");
/* harmony import */ var _utils_translations__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/translations */ "./src/utils/translations.js");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../utils/helpers */ "./src/utils/helpers.js");
/**
 * MIT License

Copyright (c) 2018 Orkhan Huseynli

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
 */




var spellFloat = function spellFloat(number) {
  var numberChunks = number.toString().split('.');
  var integerPart = parseInt(numberChunks[0], 10);
  var floatingPartLength = numberChunks[1].length;
  var floatingPart = parseInt(numberChunks[1], 10);
  var numOfFr = '';
  var exponent = 1;

  if (floatingPartLength === 2) {
    exponent = 2;
  } else if (floatingPartLength >= 3 && floatingPartLength < 6) {
    exponent = 3;
    var numOfThousands = parseInt(floatingPart / _utils_helpers__WEBPACK_IMPORTED_MODULE_2__["THOUSAND"], 10);

    if (numOfThousands > 1 && numOfThousands < 10) {
      numOfThousands = 10;
    } else if (numOfThousands > 10 && numOfThousands < 100) {
      numOfThousands = 100;
    }

    numOfFr = numOfThousands > 1 ? "".concat(Object(_integer__WEBPACK_IMPORTED_MODULE_0__["default"])(numOfThousands, false), " ") : '';
  } else if (floatingPartLength >= 6 && floatingPartLength < 9) {
    exponent = 6;
    var numOfMillions = parseInt(floatingPart / _utils_helpers__WEBPACK_IMPORTED_MODULE_2__["MILLION"], 10);

    if (numOfMillions > 1 && numOfMillions < 10) {
      numOfMillions = 10;
    } else if (numOfMillions > 10 && numOfMillions < 100) {
      numOfMillions = 100;
    }

    numOfFr = numOfMillions > 1 ? "".concat(Object(_integer__WEBPACK_IMPORTED_MODULE_0__["default"])(numOfMillions, false), " ") : '';
  } else if (floatingPartLength >= 9 && floatingPartLength < 12) {
    exponent = 9;
    var numOfBillions = parseInt(floatingPart / _utils_helpers__WEBPACK_IMPORTED_MODULE_2__["BILLION"], 10);

    if (numOfBillions > 1 && numOfBillions < 10) {
      numOfBillions = 10;
    } else if (numOfBillions > 10 && numOfBillions < 100) {
      numOfBillions = 100;
    }

    numOfFr = numOfBillions > 1 ? "".concat(Object(_integer__WEBPACK_IMPORTED_MODULE_0__["default"])(numOfBillions, false), " ") : '';
  } else if (floatingPartLength >= 12 && floatingPartLength < 15) {
    exponent = 12;
    var numOfTrillions = parseInt(floatingPart / _utils_helpers__WEBPACK_IMPORTED_MODULE_2__["TRILLION"], 10);

    if (numOfTrillions > 1 && numOfTrillions < 10) {
      numOfTrillions = 10;
    } else if (numOfTrillions > 10 && numOfTrillions < 100) {
      numOfTrillions = 100;
    }

    numOfFr = numOfTrillions > 1 ? "".concat(Object(_integer__WEBPACK_IMPORTED_MODULE_0__["default"])(numOfTrillions, false), " ") : '';
  } else if (floatingPartLength >= 15 && floatingPartLength <= 16) {
    exponent = 15;
    var numOfQuadrillions = parseInt(floatingPart / _utils_helpers__WEBPACK_IMPORTED_MODULE_2__["QUADRILLION"], 10);

    if (numOfQuadrillions > 1 && numOfQuadrillions < 10) {
      numOfQuadrillions = 10;
    } else if (numOfQuadrillions > 10 && numOfQuadrillions < 100) {
      numOfQuadrillions = 100;
    }

    numOfFr = numOfQuadrillions > 1 ? "".concat(Object(_integer__WEBPACK_IMPORTED_MODULE_0__["default"])(numOfQuadrillions, false), " ") : '';
  }

  var integerPartSpelling = Object(_integer__WEBPACK_IMPORTED_MODULE_0__["default"])(integerPart);
  var floatingPartSpelling = Object(_integer__WEBPACK_IMPORTED_MODULE_0__["default"])(floatingPart);
  var hundredPoint = _utils_translations__WEBPACK_IMPORTED_MODULE_1__["HUNDREDS_AS_WORDS"][Math.pow(10, exponent)];
  var prefix = _utils_translations__WEBPACK_IMPORTED_MODULE_1__["HUNDREDS_PREFIX"][Math.pow(10, exponent)];
  return "".concat(integerPartSpelling, " ").concat(_utils_translations__WEBPACK_IMPORTED_MODULE_1__["POINT_AS_WORD"], " ").concat(numOfFr).concat(hundredPoint).concat(prefix, " ").concat(floatingPartSpelling);
};

/* harmony default export */ __webpack_exports__["default"] = (spellFloat);

/***/ }),

/***/ "./src/spelling/integer.js":
/*!*********************************!*\
  !*** ./src/spelling/integer.js ***!
  \*********************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _utils_translations__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../utils/translations */ "./src/utils/translations.js");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/helpers */ "./src/utils/helpers.js");
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

/**
 * MIT License

Copyright (c) 2018 Orkhan Huseynli

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
 */

 // create cache to store previously
// spelled numbers, so that we don't spell them again

var cache = {};
/**
 * Converts integer into string in Azerbaijani
 * @param {number} input any natural number
 * @param {boolean} spellZeroAtTheEnd whether include zero or not
 * @return {string} spelling of number in Azerbaijani
 */

var spellIntegerMemoized = function spellIntegerMemoized(input) {
  var spellZeroAtTheEnd = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;

  // if we have it in the cache
  // then don't bother to calculate it
  if (cache[input]) {
    return cache[input];
  } // define spelling


  var spelling = ''; // we get the sign of number first

  var sign = input < 0 ? "".concat(_utils_translations__WEBPACK_IMPORTED_MODULE_0__["NEGATIVE_AS_WORD"], " ") : ''; // then we make our number positive to evaluate it

  var number = Math.abs(input); // optional parameter `spellZeroAtTheEnd`
  // so that we can optionally show and hide zero at the end
  // for example we don't want strings like `min sıfır`

  if (input === _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["ZERO"] && spellZeroAtTheEnd) {
    var _DIGITS_AS_WORDS = _slicedToArray(_utils_translations__WEBPACK_IMPORTED_MODULE_0__["DIGITS_AS_WORDS"], 1),
        zero = _DIGITS_AS_WORDS[0];

    cache[input] = zero;
    return zero;
  }

  if (number > _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["ZERO"] && number < _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["TEN"]) {
    // if number is between 1 (inclusive) and 10
    // then dimply get it from the map
    var spellingOfDigit = _utils_translations__WEBPACK_IMPORTED_MODULE_0__["DIGITS_AS_WORDS"][number]; // cache the number

    cache[number] = spellingOfDigit; // and add it to our final spelling

    spelling += spellingOfDigit;
  } else if (number >= _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["TEN"] && number < _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["HUNDRED"]) {
    // if number is between 10 (inclusive) and 100
    // then we again need map since there is custom cases
    // between 10 and 100 like `qırx`, `doxsan` etc.
    var numberOfTens = parseInt(number / _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["TEN"], 10); // find digit after tens point and spell it

    var digitPoint = number % _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["TEN"] > 0 ? _utils_translations__WEBPACK_IMPORTED_MODULE_0__["DIGITS_AS_WORDS"][number % _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["TEN"]] : '';
    digitPoint = digitPoint ? " ".concat(digitPoint) : digitPoint; // find the spelling of tens value from the map

    var finalSpelling = _utils_translations__WEBPACK_IMPORTED_MODULE_0__["TENTHS_AS_WORDS"][numberOfTens * _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["TEN"]] + digitPoint; // cache the spelling

    cache[number] = finalSpelling; // add spelling to our final string

    spelling += finalSpelling;
  } else if (number >= _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["HUNDRED"] && number < _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["THOUSAND"]) {
    // if is between 100 and 1000 we don't have custom cases
    // we continue with normal flow after this point
    // fint number of hundreds in the number
    var numberOfHundreds = parseInt(number / _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["HUNDRED"], 10);
    var remainder = number % _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["HUNDRED"]; // spell number of hundreds in the number if it is more than 1
    // so we don't want to say: `bir yüz doxsan iki`

    var numOfHundredsSpelling = numberOfHundreds > 1 ? spellIntegerMemoized(numberOfHundreds) : ''; // to spell hundred, we get it from our predefined translations
    // so we say the word hundred in azerbaijani

    var hundredsSpelling = numOfHundredsSpelling ? "".concat(numOfHundredsSpelling, " ").concat(_utils_translations__WEBPACK_IMPORTED_MODULE_0__["HUNDRED_AS_WORD"]) : _utils_translations__WEBPACK_IMPORTED_MODULE_0__["HUNDRED_AS_WORD"]; // we get the final spelling

    var _finalSpelling = remainder > 0 ? "".concat(hundredsSpelling, " ").concat(spellIntegerMemoized(remainder, false)) : hundredsSpelling; // add it to the cache


    cache[number] = _finalSpelling; // and do what we're doing before

    spelling += _finalSpelling;
  } else if (number >= _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["THOUSAND"] && number < _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["MILLION"]) {
    // numbers between 1000 and 1 000 000
    // we do the same procedure
    // find number of thousands
    var numberOfThousands = parseInt(number / _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["THOUSAND"], 10);

    var _remainder = number % _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["THOUSAND"]; // we spell number of thousands
    // just like we did before with hundreds
    // seconds parameter `false` indicates that
    // we don't want to say 0 at the end, like `min sıfır`


    var numOfThousandsSpelling = numberOfThousands > 1 ? spellIntegerMemoized(numberOfThousands, false) : ''; // we say the word thousand in Azerbaijani

    var thousandsSpelling = numOfThousandsSpelling ? "".concat(numOfThousandsSpelling, " ").concat(_utils_translations__WEBPACK_IMPORTED_MODULE_0__["THOUSAND_AS_WORD"]) : _utils_translations__WEBPACK_IMPORTED_MODULE_0__["THOUSAND_AS_WORD"]; // we get our final spelling

    var _finalSpelling2 = _remainder > 0 ? "".concat(thousandsSpelling, " ").concat(spellIntegerMemoized(_remainder, false)) : thousandsSpelling; // cache the result


    cache[number] = _finalSpelling2; // and do the same

    spelling += _finalSpelling2;
  } else if (number >= _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["MILLION"] && number < _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["BILLION"]) {
    // numbers between 1 000 000 and 1 000 000 000
    // we find the number of millions
    var numberOfMillions = parseInt(number / _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["MILLION"], 10);

    var _remainder2 = number % _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["MILLION"]; // then spell the number of millions
    // this time we need number one, so we want to say: 'bir milyon ...'


    var numOfMillionsSpelling = numberOfMillions > 0 ? spellIntegerMemoized(numberOfMillions, false) : ''; // say the word million in Azerbaijani

    var millionSpelling = numOfMillionsSpelling ? "".concat(numOfMillionsSpelling, " ").concat(_utils_translations__WEBPACK_IMPORTED_MODULE_0__["MILLION_AS_WORD"]) : _utils_translations__WEBPACK_IMPORTED_MODULE_0__["MILLION_AS_WORD"]; // get the final spelling with remainings of million

    var _finalSpelling3 = _remainder2 > 0 ? "".concat(millionSpelling, " ").concat(spellIntegerMemoized(_remainder2, false)) : millionSpelling; // cache the result


    cache[number] = _finalSpelling3; // add it to the spelling

    spelling += _finalSpelling3;
  } else if (number >= _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["BILLION"] && number < _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["TRILLION"]) {
    var numberOfBillions = parseInt(number / _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["BILLION"], 10);

    var _remainder3 = number % _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["BILLION"];

    var numOfBillionsSpelling = numberOfBillions > 0 ? spellIntegerMemoized(numberOfBillions, false) : '';
    var billionSpelling = numOfBillionsSpelling ? "".concat(numOfBillionsSpelling, " ").concat(_utils_translations__WEBPACK_IMPORTED_MODULE_0__["BILLION_AS_WORD"]) : _utils_translations__WEBPACK_IMPORTED_MODULE_0__["BILLION_AS_WORD"]; // get the final spelling with remainings of million

    var _finalSpelling4 = _remainder3 > 0 ? "".concat(billionSpelling, " ").concat(spellIntegerMemoized(_remainder3, false)) : billionSpelling;

    spelling += _finalSpelling4;
  } else if (number >= _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["TRILLION"] && number < _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["QUADRILLION"]) {
    var numberOfTrillions = parseInt(number / _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["TRILLION"], 10);

    var _remainder4 = number % _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["TRILLION"];

    var numberOfTrillionsSpelling = numberOfTrillions > 0 ? spellIntegerMemoized(numberOfTrillions, false) : '';
    var trillionSpelling = numberOfTrillionsSpelling ? "".concat(numberOfTrillionsSpelling, " ").concat(_utils_translations__WEBPACK_IMPORTED_MODULE_0__["TRILLION_AS_WORD"]) : _utils_translations__WEBPACK_IMPORTED_MODULE_0__["TRILLION_AS_WORD"]; // get the final spelling with remainings of quadrillion

    var _finalSpelling5 = _remainder4 > 0 ? "".concat(trillionSpelling, " ").concat(spellIntegerMemoized(_remainder4, false)) : trillionSpelling;

    spelling += _finalSpelling5;
  } else if (number >= _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["QUADRILLION"] && number <= _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["MAX_SAFE_VALUE"]) {
    var numberOfQuadrillions = parseInt(number / _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["QUADRILLION"], 10);

    var _remainder5 = number % _utils_helpers__WEBPACK_IMPORTED_MODULE_1__["QUADRILLION"];

    var numberOfQuadrillionsSpelling = numberOfQuadrillions > 0 ? spellIntegerMemoized(numberOfQuadrillions, false) : '';
    var quadrillionSpelling = numberOfQuadrillionsSpelling ? "".concat(numberOfQuadrillionsSpelling, " ").concat(_utils_translations__WEBPACK_IMPORTED_MODULE_0__["QUADRILLION_AS_WORD"]) : _utils_translations__WEBPACK_IMPORTED_MODULE_0__["QUADRILLION_AS_WORD"]; // get the final spelling with remainings of quadrillion

    var _finalSpelling6 = _remainder5 > 0 ? "".concat(quadrillionSpelling, " ").concat(spellIntegerMemoized(_remainder5, false)) : quadrillionSpelling;

    spelling += _finalSpelling6;
  } // use the sign and eplling finally


  return sign + spelling;
};

/* harmony default export */ __webpack_exports__["default"] = (spellIntegerMemoized);

/***/ }),

/***/ "./src/utils/helpers.js":
/*!******************************!*\
  !*** ./src/utils/helpers.js ***!
  \******************************/
/*! exports provided: isInteger, MAX_SAFE_VALUE, ZERO, TEN, HUNDRED, THOUSAND, MILLION, BILLION, TRILLION, QUADRILLION */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "isInteger", function() { return isInteger; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MAX_SAFE_VALUE", function() { return MAX_SAFE_VALUE; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ZERO", function() { return ZERO; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TEN", function() { return TEN; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HUNDRED", function() { return HUNDRED; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "THOUSAND", function() { return THOUSAND; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MILLION", function() { return MILLION; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BILLION", function() { return BILLION; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TRILLION", function() { return TRILLION; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "QUADRILLION", function() { return QUADRILLION; });
/**
 * MIT License

Copyright (c) 2018 Orkhan Huseynli

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
 */

/**
 * Checks if number is integer or not
 * @param {number} number arbitrary number
 * @return {boolean}
 */
var isInteger = function isInteger(number) {
  return number === parseInt(number, 10);
}; // maximum value that we can spell for now

var MAX_SAFE_VALUE = 9007199254740991;
var ZERO = 0;
var TEN = 10;
var HUNDRED = 100;
var THOUSAND = 1000;
var MILLION = 1000000;
var BILLION = 1000000000;
var TRILLION = 1000000000000;
var QUADRILLION = 1000000000000000;

/***/ }),

/***/ "./src/utils/translations.js":
/*!***********************************!*\
  !*** ./src/utils/translations.js ***!
  \***********************************/
/*! exports provided: DIGITS_AS_WORDS, TENTHS_AS_WORDS, HUNDREDS_PREFIX, TEN_AS_WORD, HUNDRED_AS_WORD, THOUSAND_AS_WORD, MILLION_AS_WORD, BILLION_AS_WORD, TRILLION_AS_WORD, QUADRILLION_AS_WORD, HUNDREDS_AS_WORDS, NEGATIVE_AS_WORD, POINT_AS_WORD */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DIGITS_AS_WORDS", function() { return DIGITS_AS_WORDS; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TENTHS_AS_WORDS", function() { return TENTHS_AS_WORDS; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HUNDREDS_PREFIX", function() { return HUNDREDS_PREFIX; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TEN_AS_WORD", function() { return TEN_AS_WORD; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HUNDRED_AS_WORD", function() { return HUNDRED_AS_WORD; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "THOUSAND_AS_WORD", function() { return THOUSAND_AS_WORD; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MILLION_AS_WORD", function() { return MILLION_AS_WORD; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BILLION_AS_WORD", function() { return BILLION_AS_WORD; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TRILLION_AS_WORD", function() { return TRILLION_AS_WORD; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "QUADRILLION_AS_WORD", function() { return QUADRILLION_AS_WORD; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HUNDREDS_AS_WORDS", function() { return HUNDREDS_AS_WORDS; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NEGATIVE_AS_WORD", function() { return NEGATIVE_AS_WORD; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "POINT_AS_WORD", function() { return POINT_AS_WORD; });
/**
 * MIT License

Copyright (c) 2018 Orkhan Huseynli

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
 */
var DIGITS_AS_WORDS = ['sıfır', 'bir', 'iki', 'üç', 'dörd', 'beş', 'altı', 'yeddi', 'səkkiz', 'doqquz'];
var TENTHS_AS_WORDS = {
  10: 'on',
  20: 'iyirmi',
  30: 'otuz',
  40: 'qırx',
  50: 'əlli',
  60: 'altmış',
  70: 'yetmiş',
  80: 'səksən',
  90: 'doxsan'
};
var HUNDREDS_PREFIX = {
  10: 'da',
  100: 'də',
  1000: 'də',
  1000000: 'da',
  1000000000: 'da',
  1000000000000: 'da',
  1000000000000000: 'da'
};
var TEN_AS_WORD = 'on';
var HUNDRED_AS_WORD = 'yüz';
var THOUSAND_AS_WORD = 'min';
var MILLION_AS_WORD = 'milyon';
var BILLION_AS_WORD = 'milyard';
var TRILLION_AS_WORD = 'trilyon';
var QUADRILLION_AS_WORD = 'kvadrilyon';
var HUNDREDS_AS_WORDS = {
  10: TEN_AS_WORD,
  100: HUNDRED_AS_WORD,
  1000: THOUSAND_AS_WORD,
  1000000: MILLION_AS_WORD,
  1000000000: BILLION_AS_WORD,
  1000000000000: TRILLION_AS_WORD,
  1000000000000000: QUADRILLION_AS_WORD
};
var NEGATIVE_AS_WORD = 'mənfi';
var POINT_AS_WORD = 'tam';

/***/ })

/******/ });
});
//# sourceMappingURL=number-to-az-word.umd.js.map