"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.QUADRILLION = exports.TRILLION = exports.BILLION = exports.MILLION = exports.THOUSAND = exports.HUNDRED = exports.TEN = exports.ZERO = exports.MAX_SAFE_VALUE = exports.isInteger = void 0;

/**
 * MIT License

Copyright (c) 2018 Orkhan Huseynli

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
 */

/**
 * Checks if number is integer or not
 * @param {number} number arbitrary number
 * @return {boolean}
 */
var isInteger = function isInteger(number) {
  return number === parseInt(number, 10);
}; // maximum value that we can spell for now


exports.isInteger = isInteger;
var MAX_SAFE_VALUE = 9007199254740991;
exports.MAX_SAFE_VALUE = MAX_SAFE_VALUE;
var ZERO = 0;
exports.ZERO = ZERO;
var TEN = 10;
exports.TEN = TEN;
var HUNDRED = 100;
exports.HUNDRED = HUNDRED;
var THOUSAND = 1000;
exports.THOUSAND = THOUSAND;
var MILLION = 1000000;
exports.MILLION = MILLION;
var BILLION = 1000000000;
exports.BILLION = BILLION;
var TRILLION = 1000000000000;
exports.TRILLION = TRILLION;
var QUADRILLION = 1000000000000000;
exports.QUADRILLION = QUADRILLION;