"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.POINT_AS_WORD = exports.NEGATIVE_AS_WORD = exports.HUNDREDS_AS_WORDS = exports.QUADRILLION_AS_WORD = exports.TRILLION_AS_WORD = exports.BILLION_AS_WORD = exports.MILLION_AS_WORD = exports.THOUSAND_AS_WORD = exports.HUNDRED_AS_WORD = exports.TEN_AS_WORD = exports.HUNDREDS_PREFIX = exports.TENTHS_AS_WORDS = exports.DIGITS_AS_WORDS = void 0;

/**
 * MIT License

Copyright (c) 2018 Orkhan Huseynli

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
 */
var DIGITS_AS_WORDS = ['sıfır', 'bir', 'iki', 'üç', 'dörd', 'beş', 'altı', 'yeddi', 'səkkiz', 'doqquz'];
exports.DIGITS_AS_WORDS = DIGITS_AS_WORDS;
var TENTHS_AS_WORDS = {
  10: 'on',
  20: 'iyirmi',
  30: 'otuz',
  40: 'qırx',
  50: 'əlli',
  60: 'altmış',
  70: 'yetmiş',
  80: 'səksən',
  90: 'doxsan'
};
exports.TENTHS_AS_WORDS = TENTHS_AS_WORDS;
var HUNDREDS_PREFIX = {
  10: 'da',
  100: 'də',
  1000: 'də',
  1000000: 'da',
  1000000000: 'da',
  1000000000000: 'da',
  1000000000000000: 'da'
};
exports.HUNDREDS_PREFIX = HUNDREDS_PREFIX;
var TEN_AS_WORD = 'on';
exports.TEN_AS_WORD = TEN_AS_WORD;
var HUNDRED_AS_WORD = 'yüz';
exports.HUNDRED_AS_WORD = HUNDRED_AS_WORD;
var THOUSAND_AS_WORD = 'min';
exports.THOUSAND_AS_WORD = THOUSAND_AS_WORD;
var MILLION_AS_WORD = 'milyon';
exports.MILLION_AS_WORD = MILLION_AS_WORD;
var BILLION_AS_WORD = 'milyard';
exports.BILLION_AS_WORD = BILLION_AS_WORD;
var TRILLION_AS_WORD = 'trilyon';
exports.TRILLION_AS_WORD = TRILLION_AS_WORD;
var QUADRILLION_AS_WORD = 'kvadrilyon';
exports.QUADRILLION_AS_WORD = QUADRILLION_AS_WORD;
var HUNDREDS_AS_WORDS = {
  10: TEN_AS_WORD,
  100: HUNDRED_AS_WORD,
  1000: THOUSAND_AS_WORD,
  1000000: MILLION_AS_WORD,
  1000000000: BILLION_AS_WORD,
  1000000000000: TRILLION_AS_WORD,
  1000000000000000: QUADRILLION_AS_WORD
};
exports.HUNDREDS_AS_WORDS = HUNDREDS_AS_WORDS;
var NEGATIVE_AS_WORD = 'mənfi';
exports.NEGATIVE_AS_WORD = NEGATIVE_AS_WORD;
var POINT_AS_WORD = 'tam';
exports.POINT_AS_WORD = POINT_AS_WORD;